# frozen_string_literal: true

lib = File.expand_path('lib', __dir__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'commissioner/version'

Gem::Specification.new do |spec|
  spec.name          = 'commissioner-guy'
  spec.version       = Commissioner::VERSION
  spec.authors       = ['Valentine Kiselev']
  spec.email         = ['mrexox@outlook.com']

  spec.summary       = 'A simple gem to calculate money based on provided amounts.'
  spec.description   = 'A simple gem to calculate money based on provided amounts.'
  spec.homepage      = 'https://github.com/mrexox/commissioner'
  spec.license       = 'MIT'

  # Prevent pushing this gem to RubyGems.org. To allow pushes either set the 'allowed_push_host'
  # to allow pushing to a single host or delete this section to allow pushing to any host.
  if spec.respond_to?(:metadata)
    spec.metadata['homepage_uri'] = spec.homepage
    spec.metadata['source_code_uri'] = 'https://github.com/mrexox/commissioner'
  else
    raise 'RubyGems 2.0 or newer is required to protect against ' \
      'public gem pushes.'
  end

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files = Dir.chdir(File.expand_path(__dir__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  end

  spec.require_paths = ['lib']

  spec.add_runtime_dependency 'dry-auto_inject', '~> 0.6'
  spec.add_runtime_dependency 'dry-configurable', '~> 0.11'
  spec.add_runtime_dependency 'money', '~> 6.13.8'

  spec.add_development_dependency 'bundler', '~> 1.17'
  spec.add_development_dependency 'pry-byebug', '~> 3.9.0'
  spec.add_development_dependency 'rake', '~> 10.0'
  spec.add_development_dependency 'rspec', '~> 3.0'
  spec.add_development_dependency 'rubocop', '~> 1.6.1'
end
